com.google.cloud.dataflow.sdk.values

## Interface PValue

All Superinterfaces:
  PInput, POutput

All Known Subinterfaces:
  PCollectionView<T>

All Known Implementing Classes:
  PCollection, PValueBase, TypedPValue

    public interface PValue
    extends POutput, PInput

The interface for values that can be input to and output from `PTransforms`.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns the name of this `PValue`.
`AppliedPTransform<?,?,?>` `getProducingTransformInternal()` Returns the `AppliedPTransform` that this `PValue` is an output of.

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.POutput

`expand, finishSpecifyingOutput, getPipeline, recordAsOutput`

### Methods inherited from interface com.google.cloud.dataflow.sdk.values.PInput

`expand, finishSpecifying, getPipeline`

### Method Detail

#### getName

    String getName()

Returns the name of this `PValue`.

#### getProducingTransformInternal

    AppliedPTransform<?,?,?> getProducingTransformInternal()

Returns the `AppliedPTransform` that this `PValue` is an output of.

For internal use only.